JsDoc Reference - AuthenticationObject

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class AuthenticationObject

Class implementing authentication objects like PINs, PACE passwords or keys
Defined in: AuthenticationObject.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| AuthenticationObject(name, type, id, value) Create an authentication object

Method Summary
Method Attributes | Method Name and Description
--- | ---
| activate() Activate authentication object
| changeReferenceData(qualifier, value) Change reference data, optionally verifying the old value before
| deactivate() Deactivate authentication object
| decreaseRetryCounter() Deactivate authentication object
| getType() Override from base class
| resetRetryCounter(newValue) Reset retry counter and optionally set new reference value
| restoreRetryCounter() Deactivate authentication object
| terminate() Terminate authentication object
| toString() Convert object to a human readable string
| verify(value) Verify PIN value

Class Detail
AuthenticationObject(name, type, id, value)
Create an authentication object

Parameters:
{String} name
  the human readable name of the object
{String} type
  one of AuthenticationObject.TYPE_PACE or AuthenticationObject.TYPE_PIN
{Number} id
  the password or key id
{ByteString} value
  the reference value

Method Detail
activate()
Activate authentication object

changeReferenceData(qualifier, value)
Change reference data, optionally verifying the old value before

Parameters:
{Number} qualifier
  command qualifier, 00 = oldPIN||newPIN, 01 = newPIN
{ByteString} value
  new reference value

deactivate()
Deactivate authentication object

decreaseRetryCounter()
Deactivate authentication object

getType()
Override from base class

resetRetryCounter(newValue)
Reset retry counter and optionally set new reference value

Parameters:
{ByteString} newValue
  new reference value

restoreRetryCounter()
Deactivate authentication object

terminate()
Terminate authentication object

toString()
Convert object to a human readable string

verify(value)
Verify PIN value

Parameters:
{ByteString} value
  reference value

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)